Package Details: spaceship-prompt-git v3.11.2.r13.g50e371f-1

Git Clone URL: https://aur.archlinux.org/spaceship-prompt-git.git (read-only, click to copy)
Package Base: spaceship-prompt-git
Description: A Zsh prompt for Astronauts
Upstream URL: https://denysdovhan.com/spaceship-prompt/
Licenses: MIT
Conflicts: spaceship-prompt, spaceship-zsh-theme-git
Provides: spaceship-prompt, spaceship-zsh-theme
Submitter: dfk
Maintainer: dfk
Last Packager: dfk
Votes: 9
Popularity: 0.46
First Submitted: 2018-02-12 17:53
Last Updated: 2020-04-17 14:40

Pinned Comments

dfk commented on 2018-02-12 18:03

This package is replaced by spaceship-prompt-git: https://aur.archlinux.org/packages/spaceship-prompt-git/

Latest Comments

dfk commented on 2020-04-17 14:52

Thanks for your help bbaserdem (and everyone else who pointed out the missing git in makedepends...), I appreciate it. I've updated the srcinfo as well as the provides, and replaced LATEST with the value auto-generated by the pkgver() function that's there now. Honestly not sure where I got the idea to use LATEST came from but I could have sworn I read the VCS-based package guidelines.

bbaserdem commented on 2020-04-17 04:15

The update you pushed did not update .SRCINFO; hence it does not have the dependencies changed.

Also; this package also needs to provide spaceship-promt and spaceship-zsh-theme

It's not really in arch packaging guidelines to put LATEST as the package version on AUR; can you replace it with the original package version? It causes the following error on trying to update the package;

spaceship-prompt-git: v3.11.2.r13.g50e371f-1 is newer than LATEST-1
there is nothing to do

rafaelff commented on 2020-04-09 20:06

'git' is required in makedepends.

bbaserdem commented on 2019-09-29 14:15

This package conflicts, but does not provide spaceship-prompt.

noraj commented on 2019-04-29 09:44

Please add:

install -D -m644 spaceship.zsh-theme "${pkgdir}/usr/lib/${_pkgname}/spaceship.zsh-theme"

For oh-my-zsh support. For example that will allow people to do sudo ln -s /usr/lib/spaceship-prompt/spaceship.zsh-theme /usr/share/oh-my-zsh/custom/themes/spaceship.zsh-theme if they have https://aur.archlinux.org/packages/oh-my-zsh-git.

dude commented on 2018-12-22 07:22

Hey just FYI this should have 'git' in makedepends. Most people have that installed already but not when building inside a chroot.

dfk commented on 2018-02-12 18:03

This package is replaced by spaceship-prompt-git: https://aur.archlinux.org/packages/spaceship-prompt-git/

dfk commented on 2018-01-22 20:55

spaceship has been renamed to "spaceship-prompt" with the release of v3 (https://github.com/denysdovhan/spaceship-prompt/releases/tag/v3.0.0), which has a number of breaking changes (and drops the requirement for oh-my-zsh). I'm planning to replace this package with spaceship-zsh-theme (which will be pegged to v2.11) and create a new spaceship-prompt package to track new post-3.0 releases.